Subject: Re: BASH prompt modification.
From: [email-masked] (David Means)

23 Jul 1997 16:17:39 -0700
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
References: <[email-masked]>
Reply-To: [email-masked]
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit
X-Mailer: Mozilla 4.01 [en] (Win95; U)
Original-To: Panos Platon Tsapralis <[email-masked]>
Original-CC: "'Cygnus GNU Programming Environment'" <[email-masked]>
X-Priority: 3 (Normal)
Original-Sender: [email-masked]

Panos Platon Tsapralis wrote:
> 
>         Dear friends,
> 
>         I want to modify the command line prompt of BASH so that it
> will show on-screen ( after complete execution of every command ) the
> current directory ( the output of pwd or the content of $PWD ). How on
> earth do I do this ? I have made endless efforts to find a solution
> but to no avail. Please help me...
> 
{ snip }

BASH Version:
=============
#!/bin/ksh
# --------------------------------------------------------------
#   File    :   prompt
#   Location:   ~/bin
#   Function:   Set my prompt just the way I like it
# --------------------------------------------------------------
echo "$(date '+%H:%M:%S'):  Running prompt"
export PS1="
\t
[ \$PWD ]
\u@\h
\!$ "

Solaris SVR4 Version:
=====================
#!/bin/ksh
# --------------------------------------------------------------
#   File    :   prompt
#   Location:   ~/bin
#   Function:   Set my prompt just the way I like it
# --------------------------------------------------------------
# echo "$(date '+%H:%M:%S'):  Running prompt"
export PS1="
[ \$PWD ]
$(whoami)\"@\"$(hostname)
!$ "

-- 

David Means
mailto:[email-masked]

He who dies with the most toys, still dies.
No one gets outta here alive.
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".